Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# WrongTransactionA.cpp File Reference

`#include "WrongTransactionC.h"`
`#include "tao/Null_RefCount_Policy.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Alias_TypeCode_Static.h"`
`#include "tao/Struct_TypeCode_Static.h"`
`#include "tao/TypeCode_Struct_Field.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for WrongTransactionA.cpp:

## Namespaces
namespace | CORBA
namespace | TAO
## Functions
template<>
CORBA::Boolean | Any_Dual_Impl_T< CORBA::WrongTransaction >::demarshal_value (TAO_InputCDR &cdr)
void | operator<<= (CORBA::Any &_tao_any, const CORBA::WrongTransaction &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::WrongTransaction *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::WrongTransaction *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::WrongTransaction *&_tao_elem)
## Variables
TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *const | _tao_fields_CORBA_WrongTransaction = 0
TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | _tao_tc_CORBA_WrongTransaction (CORBA::tk_except,"IDL:omg.org/CORBA/WrongTransaction:1.0","WrongTransaction", _tao_fields_CORBA_WrongTransaction, 0)
::CORBA::TypeCode_ptr const | _tc_WrongTransaction

## Function Documentation

template<>
CORBA::Boolean Any_Dual_Impl_T< CORBA::WrongTransaction >::demarshal_value | ( | TAO_InputCDR & | cdr | ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::WrongTransaction * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CORBA::WrongTransaction & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA::WrongTransaction *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::WrongTransaction *& | _tao_elem
| ) |

## Variable Documentation

TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const* const _tao_fields_CORBA_WrongTransaction = 0`[static]`

TAO::TypeCode::Struct<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> _tao_tc_CORBA_WrongTransaction(CORBA::tk_except,"IDL:omg.org/CORBA/WrongTransaction:1.0","WrongTransaction", _tao_fields_CORBA_WrongTransaction, 0)`[static]`

TAO_Export::CORBA::TypeCode_ptr const CORBA::_tc_WrongTransaction

| Initial value:
        &_tao_tc_CORBA_WrongTransaction